%define upstream_name    Graph-Easy
%define upstream_version 0.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Parse Graphviz text into Graph::Easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Graph/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%?perl_default_filter

%description
'Graph::Easy' lets you generate graphs consisting of various shaped nodes
connected by edges (with optional labels).

It can read and write graphs in a variety of formats, as well as render them
via its own grid-based layouter.

Since the layouter works on a grid (Manhattan layout), the output is most
useful for flow charts, network diagrams, or hierarchy trees.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm t/pod.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_bindir}/graph-easy
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.760.0-4.mga9
+ Revision: 1809394
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.760.0-3.mga8
+ Revision: 1504609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.760.0-2.mga7
+ Revision: 1283947
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.760.0-1.mga7
+ Revision: 1128567
- update to 0.76

* Sun Jun 19 2016 pterjan <pterjan> 0.750.0-6.mga6
+ Revision: 1027962
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.750.0-5.mga6
+ Revision: 944981
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.750.0-4.mga5
+ Revision: 740451
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.750.0-3.mga5
+ Revision: 732193
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.750.0-2.mga5
+ Revision: 684891
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.750.0-1.mga5
+ Revision: 614817
- update to 0.75

* Sat Oct 19 2013 umeabot <umeabot> 0.730.0-2.mga4
+ Revision: 527022
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.730.0-1.mga4
+ Revision: 439354
- update to 0.73

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 367864
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 315084
- update to 0.72

* Wed Jan 04 2012 jquelin <jquelin> 0.710.0-1.mga2
+ Revision: 190314
- update to 0.71

* Sat Jan 22 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 32030
- mageia rebuild
- imported package perl-Graph-Easy

